Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-4357

Enable the Bouncy Castle FIPS provider

    Details

    • Type: Story
    • Status: Resolved
    • Priority: Normal
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: PuppetDB
    • Labels:
      None
    • Template:
    • Epic Link:
    • Team:
      PuppetDB
    • QA Risk Assessment:
      Needs Assessment

      Description

      See: https://www.bouncycastle.org/fips-java/BCFipsIn100.pdf

      This requires replacing the Bouncy Castle dependency we currently use with the FIPS compliant one, and some setup. See linked PDF.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                robert.roland Robert Roland
                Reporter:
                robert.roland Robert Roland
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support